## libechonest 1.1.8

=== CMakeLists.txt ===
# This file and all other CMakeLists.txt files in this project are
# copyright Leo Franchi, 2010, and licensed under the MIT license.

project( libechonest )

cmake_minimum_required( VERSION 2.6 )

set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )

find_package( Qt4 COMPONENTS QtCore QtNetwork QtTest REQUIRED )
set( QT_DONT_USE_QTGUI TRUE )


find_package(QJSON REQUIRED)

include( ${QT_USE_FILE} )

set( ECHONEST_LIB_MAJOR_VERSION "1" )
set( ECHONEST_LIB_MINOR_VERSION "1" )
set( ECHONEST_LIB_PATCH_VERSION "5" )
set( ECHONEST_LIB_VERSION "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}.${ECHONEST_LIB_PATCH_VERSION}" )

set( ECHONEST_LIB_VERSION_SONAME "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}")

if (CMAKE_COMPILER_IS_GNUCXX)
    ADD_DEFINITIONS( -Wall -Wundef -Wcast-align -Wchar-subscripts -Wpointer-arith
       -Wwrite-strings -Wpacked -Wformat-security -Wmissing-format-attribute
       -Wold-style-cast -Woverloaded-virtual -Wnon-virtual-dtor -Werror )
    if ( NOT WIN32 )
        add_definitions( -fvisibility=hidden )
    endif()

# to be added:
#       -Wshadow
# FIXME we might want this one back in, but Qt 4.4.3 spits gazillions of warnings with it on Linux-64:
#       -Wconversion
endif(CMAKE_COMPILER_IS_GNUCXX)
if(MSVC)
    # since msvc doesn't implement it, we can simply ignore the warning:
    # cf. http://msdn.microsoft.com/en-us/library/sa28fef8.aspx
    add_definitions(/wd4290)
endif(MSVC)


option(ECHONEST_BUILD_TESTS "Build all unit tests" ON)

if(ECHONEST_BUILD_TESTS)
  enable_testing()
endif(ECHONEST_BUILD_TESTS)

set( CPACK_GENERATOR "TBZ2" "DEB" )
set( CPACK_PACKAGE_VERSION_MAJOR "${ECHONEST_LIB_MAJOR_VERSION}" )
set( CPACK_PACKAGE_VERSION_MINOR "${ECHONEST_LIB_MINOR_VERSION}" )
set( CPACK_PACKAGE_VERSION_PATCH "${ECHONEST_LIB_PATCH_VERSION}" )
set( CPACK_PACKAGE_VERSION "${ECHONEST_LIB_VERSION}" )
set( CPACK_DEBIAN_PACKAGE_MAINTAINER "lfranchi@kde.org" )
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "A c++/qt library to access the APIs provided by The Echo Nest." )

if( APPLE )
    set( CPACK_GENERATOR "DragNDrop" )
    set( CPACK_DMG_FORMAT "UDBZ" )
    set( CPACK_DMG_VOLUME_NAME "libechonest" )
    set( CPACK_SYSTEM_NAME "OSX" )
endif( APPLE )

# pkg-config
#add extra search paths for libraries and includes
SET (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
IF (NOT WIN32)
  CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/libechonest.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/libechonest.pc
                  @ONLY)
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/libechonest.pc
           DESTINATION lib${LIB_SUFFIX}/pkgconfig)
ENDIF (NOT WIN32)

include(CPack)

# add a target to generate API documentation with Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
    add_custom_target(doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} 
                         COMMENT "Generating API documentation with Doxygen" VERBATIM
)
endif(DOXYGEN_FOUND)

# make uninstall support
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_subdirectory( src )

if( ECHONEST_BUILD_TESTS )
    add_subdirectory( tests )
endif( ECHONEST_BUILD_TESTS )

=== src/CMakeLists.txt ===

include_directories( ${QJSON_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR} )

set( LIBECHONEST_SRC
        Track.cpp
        Song.cpp
        Artist.cpp
        Playlist.cpp
        Config.cpp
        Parsing.cpp
        AudioSummary.cpp
        Util.cpp
        ArtistTypes.cpp
        Generator.cpp
        Catalog.cpp
        CatalogUpdateEntry.cpp
        CatalogSong.cpp
        CatalogArtist.cpp
        CatalogItem.cpp
        TypeInformation.cpp
)

set( LIBECHONEST_H
        echonest_export.h
        Track.h
        Song.h
        Artist.h
        Playlist.h
        Config.h
        AudioSummary.h
        ArtistTypes.h
        Util.h
        Catalog.h
        CatalogUpdateEntry.h
        CatalogSong.h
        CatalogArtist.h
        CatalogItem.h
        TypeInformation.h
)

QT4_WRAP_CPP( ${LIBECHONEST_H} )

if (CMAKE_COMPILER_IS_GNUCXX)
    add_definitions( -Werror )
endif (CMAKE_COMPILER_IS_GNUCXX)

SET( OS_SPECIFIC_LINK_LIBRARIES "" )
IF( APPLE OR MINGW )
  SET( OS_SPECIFIC_LINK_LIBRARIES ${QJSON_LIBRARIES} )
ELSE( APPLE OR MINGW )
  SET( OS_SPECIFIC_LINK_LIBRARIES ${QJSON_LDFLAGS} )
ENDIF( APPLE OR MINGW )


add_library( echonest SHARED ${LIBECHONEST_SRC} )
target_link_libraries( echonest ${OS_SPECIFIC_LINK_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY}  )
set_target_properties( echonest PROPERTIES VERSION ${ECHONEST_LIB_VERSION} SOVERSION ${ECHONEST_LIB_VERSION_SONAME} )
install( TARGETS echonest   RUNTIME DESTINATION bin
                            LIBRARY DESTINATION lib${LIB_SUFFIX}
                            ARCHIVE DESTINATION lib${LIB_SUFFIX}
)

install( FILES ${LIBECHONEST_H} DESTINATION  include/echonest COMPONENT Devel )

=== debian/changelog ===
libechonest (1.1.8-2) unstable; urgency=low

  * Switch package to multiarch.
    - Build-depend on debhelper >= 8.1.3.
    - Add Pre-Depends: ${misc:Pre-Depends} to libechonest1.1.
    - Set debhelper compatibility to 9.
    - Create template files for replacing the arch triplet with sed. Thanks
      Pino Toscano and José Manuel Santamaría Lema for the help.
    - Create debian/clean to remove the install files created by debian/rules.
    - Set Multi-Arch: same in libechonest1.1.
    - Override Lintian warning us that compat level 9 has not a correspondent
      B-D, as compat level 9 is still experimental.
  * Fix typo in dev and dbg packages descriptions.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Wed, 27 Jul 2011 22:13:10 -0300

libechonest (1.1.8-1) unstable; urgency=low

  * New upstream release (Closes: #629237).
  * Update watch file.
  * Update symbols file.
    - Confirm 1.1.3's symbols for armel.
    - Two symbols were missing in 1.1.8, it seems safe to ignore them.
  * Build-Depend on pkg-kde-tools in order to use pkgkde-symbolshelper.
    This will help us with Qt's typedefs that changes with some architectures,
    like qfloat.
  * Disable -Werror instead of some warnings.
  * Set DM-Upload-Allowed: yes.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sat, 04 Jun 2011 21:08:54 -0300

libechonest (1.1.3-2) unstable; urgency=low

  * Be more verbose on install files.
  * Make libechonest-dbg recommend libqt4-dbg.
  * Disable passing -Wcast-align to the compiler (Closes: #627364).
  * Rename libechonest1.1-dbg to libechonest-dbg, it's easier to maintain.
    (Closes: #628173).
    - Rename the dbg package in debian/rules.
    - Rename the dbg package in debian/control.
    - Add Replaces and Breaks libechonest1.1-dbg (<< 1.1.3-1) on
      libechonest-dbg.
    - Add a transitional libechonest1.1-dbg package.
  * Bumped Standards-Version to 3.9.2, no changes needed.
  * Remove an unnecesary watchfile template.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Fri, 27 May 2011 18:41:30 -0300

libechonest (1.1.3-1) unstable; urgency=low

  * Initial release (Closes: #607014)

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Mon, 14 Feb 2011 12:39:52 -0300

=== debian/control ===
Source: libechonest
Priority: extra
Maintainer: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.1.3), cmake, libqt4-dev, libqjson-dev,
 pkg-config, pkg-kde-tools (>= 0.6~)
Standards-Version: 3.9.2
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libechonest
Vcs-Git: git://dumbledore.com.ar/debian-package-libechonest.git
Vcs-Browser: http://dumbledore.com.ar/gitweb/?p=debian-package-libechonest.git;a=summary

Package: libechonest1.1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt library for communicating with The Echo Nest platform
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.

Package: libechonest-dev
Section: libdevel
Architecture: any
Depends: libechonest1.1 (= ${binary:Version}), ${misc:Depends}
Description: Qt library for The Echo Nest platform - development files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the development files.

Package: libechonest-dbg
Section: debug
Architecture: any
Recommends: libqt4-dbg
Depends: libechonest1.1 (= ${binary:Version}), ${misc:Depends}
Replaces: libechonest1.1-dbg (<< 1.1.3-1)
Breaks: libechonest1.1-dbg (<< 1.1.3-1)
Description: Qt library for The Echo Nest platform - debug files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the debuging files.

Package: libechonest1.1-dbg
Section: oldlibs
Architecture: all
Depends: libechonest-dbg, ${misc:Depends}
Description: trasitional dummy package for echonest's debugging symbols
 This package is intended to provide a smooth transition to
 libechonest-dbg. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --dbg-package=libechonest-dbg --parallel --with=pkgkde-symbolshelper

override_dh_install:
	# Replace the correct arch triplet using the templates.
	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
	debian/libechonest1.1.install.in > debian/libechonest1.1.install
	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
	debian/libechonest-dev.install.in > debian/libechonest-dev.install
	dh_install

## libechonest 1.2.0

=== debian/changelog ===
libechonest (1.2.0-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert multi-arch changes.
  * Remove symbol file to ease the backport.

 -- Thomas Pierson <web.pierson@gmail.com>  Tue, 29 Nov 2011 23:34:10 +0100

libechonest (1.2.0-2) unstable; urgency=low

  * Use DEB_CXXFLAGS_MAINT_APPEND to avoid losing default compiler flags
    when built with dpkg >= 1.16.1. Thanks Colin Watson for the bug
    and patch (Closes: #647339).
  * Remove some private symbols that dissapeared. This is most probably some
    compiler thing. Feel free to prove me wrong :-)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 08 Nov 2011 20:12:24 -0300

libechonest (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * The "I forgot to change UNRELEASED in my last upload" release.
    Replaced the distribution in the changelog entry below to show a sane
    value.
  * Remove libechonest1.1 and switch to libechonest1.2 due to SONAME change.
  * Remove the transitional package libechonest1.1-dbg as is no longer needed.
  * Rename file names wich contain the SONAME.
  * Rename strings wich contain the SONAME in debian/*.
  * Renew symbols file due to changed SONAME.
  * Remove uneeded lintian override.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 Oct 2011 23:48:27 -0300

libechonest (1.1.9-2) unstable; urgency=low

  * Pass -c0 to dpkg-gensymbols to avoid FTBFSs due to missing symbols in
    differents archs wich are fine per-se.. This also means I have to
    take greater care with symbols before pushing a package.
  * Update symbols files with build logs from buildd.
  * Update symbols from alpha, armhf and sh4 ports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 Oct 2011 20:48:46 -0300

libechonest (1.1.9-1) unstable; urgency=low

  * New upstream release.
  * Change my e-mail address.
  * Remove DM-Upload-Allowed flag. It is no longer needed.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 Sep 2011 14:46:03 -0300

=== debian/control ===
Source: libechonest
Priority: extra
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: dpkg (>= 1.15.8~), debhelper (>= 8.0.0), cmake, libqt4-dev,
 libqjson-dev, pkg-config, pkg-kde-tools (>= 0.6~)
Standards-Version: 3.9.2
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libechonest
Vcs-Git: git://dumbledore.com.ar/debian-package-libechonest.git
Vcs-Browser: http://dumbledore.com.ar/gitweb/?p=debian-package-libechonest.git;a=summary

Package: libechonest1.2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt library for communicating with The Echo Nest platform
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.

Package: libechonest-dev
Section: libdevel
Architecture: any
Depends: libechonest1.2 (= ${binary:Version}), ${misc:Depends}
Description: Qt library for The Echo Nest platform - development files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the development files.

Package: libechonest-dbg
Section: debug
Architecture: any
Recommends: libqt4-dbg
Depends: libechonest1.2 (= ${binary:Version}), ${misc:Depends}
Description: Qt library for The Echo Nest platform - debug files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the debuging files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --dbg-package=libechonest-dbg --parallel --with=pkgkde-symbolshelper


override_dh_makeshlibs:
	dh_makeshlibs -- -c0

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

#https://projects.kde.org/projects/playground/libs/libechonest libechonest-(.*)\.tar\.bz2
http://pwsp.cleinias.com/libechonest-(.*)\.tar\.bz2

## libechonest 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 include( ${QT_USE_FILE} )
 
 set( ECHONEST_LIB_MAJOR_VERSION "1" )
-set( ECHONEST_LIB_MINOR_VERSION "1" )
-set( ECHONEST_LIB_PATCH_VERSION "5" )
+set( ECHONEST_LIB_MINOR_VERSION "2" )
+set( ECHONEST_LIB_PATCH_VERSION "0" )
 set( ECHONEST_LIB_VERSION "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}.${ECHONEST_LIB_PATCH_VERSION}" )
 
 set( ECHONEST_LIB_VERSION_SONAME "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}")
@@ -83,7 +83,7 @@
 find_package(Doxygen)
 if(DOXYGEN_FOUND)
     configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
-    add_custom_target(doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} 
+    add_custom_target(doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                          COMMENT "Generating API documentation with Doxygen" VERBATIM
 )
 endif(DOXYGEN_FOUND)

=== debian/changelog ===
libechonest (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on debhelper >= 9.
    - Remove lintian override related to non-existant level 9 compatibility,
      it's already here.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 23 Jan 2012 11:07:54 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libechonest
 Priority: extra
 Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: dpkg (>= 1.15.8~), debhelper (>= 8.0.0), cmake, libqt4-dev,
+Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake, libqt4-dev,
  libqjson-dev, pkg-config, pkg-kde-tools (>= 0.6~)
 Standards-Version: 3.9.2
 Section: libs
@@ -13,6 +13,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Qt library for communicating with The Echo Nest platform
  Libechonest is a Qt library for communicating with 'The Echo Nest':
  an 'intelligent music application platform'. It currently supports all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --dbg-package=libechonest-dbg --parallel --with=pkgkde-symbolshelper

override_dh_install:
	# Replace the correct arch triplet using the templates.
	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
	debian/libechonest1.2.install.in > debian/libechonest1.2.install
	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
	debian/libechonest-dev.install.in > debian/libechonest-dev.install
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -- -c0

## libechonest 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,9 @@
 
 include( ${QT_USE_FILE} )
 
-set( ECHONEST_LIB_MAJOR_VERSION "1" )
-set( ECHONEST_LIB_MINOR_VERSION "2" )
-set( ECHONEST_LIB_PATCH_VERSION "0" )
+set( ECHONEST_LIB_MAJOR_VERSION "2" )
+set( ECHONEST_LIB_MINOR_VERSION "0" )
+set( ECHONEST_LIB_PATCH_VERSION "2" )
 set( ECHONEST_LIB_VERSION "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}.${ECHONEST_LIB_PATCH_VERSION}" )
 
 set( ECHONEST_LIB_VERSION_SONAME "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}")
@@ -26,9 +26,14 @@
 if (CMAKE_COMPILER_IS_GNUCXX)
     ADD_DEFINITIONS( -Wall -Wundef -Wcast-align -Wchar-subscripts -Wpointer-arith
        -Wwrite-strings -Wpacked -Wformat-security -Wmissing-format-attribute
-       -Wold-style-cast -Woverloaded-virtual -Wnon-virtual-dtor -Werror )
+       -Wold-style-cast -Woverloaded-virtual -Wnon-virtual-dtor )
     if ( NOT WIN32 )
         add_definitions( -fvisibility=hidden )
+    endif()
+
+    # disable -Werror on ARM since Qt containers cause a lot of alignment warnings
+    if ( NOT CMAKE_SYSTEM_PROCESSOR MATCHES "arm" )
+        add_definitions( -Werror )
     endif()
 
 # to be added:

=== debian/changelog ===
libechonest (2.0.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 21 Jan 2013 16:35:24 +0100

libechonest (2.0.1-1) experimental; urgency=low

  * New upstream release.
  * Change url of watch file. Again.
  * Refresh disable_werror.patch. The semantincs have changed, the idea still
    remains the same.
  * Refresh 01_dont_do_unit_tests.patch.
  * Rename files with soname in it.
    - Update symbols file.
    - Also change soname inside the files.
  * Change soname in clean, control and rules.
  * Bump Standars-version to 3.9.3. No changes needed.
  * debian/copyright: update Format version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 29 Jul 2012 16:30:36 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libechonest
 Priority: extra
-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake, libqt4-dev,
  libqjson-dev, pkg-config, pkg-kde-tools (>= 0.6~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: https://projects.kde.org/projects/playground/libs/libechonest
 Vcs-Git: git://dumbledore.com.ar/debian-package-libechonest.git
 Vcs-Browser: http://dumbledore.com.ar/gitweb/?p=debian-package-libechonest.git;a=summary
 
-Package: libechonest1.2
+Package: libechonest2.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -22,7 +23,7 @@
 Package: libechonest-dev
 Section: libdevel
 Architecture: any
-Depends: libechonest1.2 (= ${binary:Version}), ${misc:Depends}
+Depends: libechonest2.0 (= ${binary:Version}), ${misc:Depends}
 Description: Qt library for The Echo Nest platform - development files
  Libechonest is a Qt library for communicating with 'The Echo Nest':
  an 'intelligent music application platform'. It currently supports all
@@ -34,7 +35,7 @@
 Section: debug
 Architecture: any
 Recommends: libqt4-dbg
-Depends: libechonest1.2 (= ${binary:Version}), ${misc:Depends}
+Depends: libechonest2.0 (= ${binary:Version}), ${misc:Depends}
 Description: Qt library for The Echo Nest platform - debug files
  Libechonest is a Qt library for communicating with 'The Echo Nest':
  an 'intelligent music application platform'. It currently supports all

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_install:
 	# Replace the correct arch triplet using the templates.
 	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
-	debian/libechonest1.2.install.in > debian/libechonest1.2.install
+	debian/libechonest2.0.install.in > debian/libechonest2.0.install
 	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
 	debian/libechonest-dev.install.in > debian/libechonest-dev.install
 	dh_install

## libechonest 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 include( ${QT_USE_FILE} )
 
 set( ECHONEST_LIB_MAJOR_VERSION "2" )
-set( ECHONEST_LIB_MINOR_VERSION "0" )
-set( ECHONEST_LIB_PATCH_VERSION "2" )
+set( ECHONEST_LIB_MINOR_VERSION "1" )
+set( ECHONEST_LIB_PATCH_VERSION "0" )
 set( ECHONEST_LIB_VERSION "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}.${ECHONEST_LIB_PATCH_VERSION}" )
 
 set( ECHONEST_LIB_VERSION_SONAME "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}")
@@ -29,11 +29,6 @@
        -Wold-style-cast -Woverloaded-virtual -Wnon-virtual-dtor )
     if ( NOT WIN32 )
         add_definitions( -fvisibility=hidden )
-    endif()
-
-    # disable -Werror on ARM since Qt containers cause a lot of alignment warnings
-    if ( NOT CMAKE_SYSTEM_PROCESSOR MATCHES "arm" )
-        add_definitions( -Werror )
     endif()
 
 # to be added:

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,10 +40,6 @@
 
 QT4_WRAP_CPP( ${LIBECHONEST_H} )
 
-if (CMAKE_COMPILER_IS_GNUCXX)
-    add_definitions( -Werror )
-endif (CMAKE_COMPILER_IS_GNUCXX)
-
 SET( OS_SPECIFIC_LINK_LIBRARIES "" )
 IF( APPLE OR MINGW )
   SET( OS_SPECIFIC_LINK_LIBRARIES ${QJSON_LIBRARIES} )

=== tests/CMakeLists.txt ===
########### next target ###############
# QTEST_MAIN is using QApplication when QT_GUI_LIB is defined
remove_definitions(-DQT_GUI_LIB)

add_definitions( -DDATA_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/test_data\" )

remove_definitions( -Werror )

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../src)

macro(add_echonest_test _source)
    get_filename_component(_name ${_source} NAME_WE)
    qt4_automoc(${_name} ${_source})
    add_executable(${_name} ${_source})
    target_link_libraries(${_name} echonest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QTCORE_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY} )
    add_test(${_name}-test ${EXECUTABLE_OUTPUT_PATH}/${_name})
endmacro(add_echonest_test)

add_echonest_test( ArtistTest.cpp )
add_echonest_test( SongTest.cpp )
add_echonest_test( TrackTest.cpp )
add_echonest_test( PlaylistTest.cpp )
add_echonest_test( CatalogTest.cpp )

=== debian/changelog ===
libechonest (2.1.0-2) unstable; urgency=low

  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 11 Jul 2013 10:08:10 -0300

libechonest (2.1.0-1) unstable; urgency=low

  * Upload to unstable.
  * Bump Standars-version to 3.9.4. No changes needed.
  * Remove disable_werror.patch, seem sno longer needed.
  * Do not override dh_makeshlibs, we better let symbols make thing FTBFS.
  * FTBFS if we are not shipping some installed stuff.
  * Install pkgconfig file.
  * Make the debug package M-A same to allow coinstallation of debugging
    symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 10 Jul 2013 18:04:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libechonest
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake, libqt4-dev,
  libqjson-dev, pkg-config, pkg-kde-tools (>= 0.6~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: https://projects.kde.org/projects/playground/libs/libechonest
 Vcs-Git: git://dumbledore.com.ar/debian-package-libechonest.git
 Vcs-Browser: http://dumbledore.com.ar/gitweb/?p=debian-package-libechonest.git;a=summary
 
-Package: libechonest2.0
+Package: libechonest2.1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -23,7 +22,7 @@
 Package: libechonest-dev
 Section: libdevel
 Architecture: any
-Depends: libechonest2.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libechonest2.1 (= ${binary:Version}), ${misc:Depends}
 Description: Qt library for The Echo Nest platform - development files
  Libechonest is a Qt library for communicating with 'The Echo Nest':
  an 'intelligent music application platform'. It currently supports all
@@ -34,8 +33,9 @@
 Package: libechonest-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Recommends: libqt4-dbg
-Depends: libechonest2.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libechonest2.1 (= ${binary:Version}), ${misc:Depends}
 Description: Qt library for The Echo Nest platform - debug files
  Libechonest is a Qt library for communicating with 'The Echo Nest':
  an 'intelligent music application platform'. It currently supports all

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,7 @@
 override_dh_install:
 	# Replace the correct arch triplet using the templates.
 	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
-	debian/libechonest2.0.install.in > debian/libechonest2.0.install
+	debian/libechonest2.1.install.in > debian/libechonest2.1.install
 	sed s/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/ \
 	debian/libechonest-dev.install.in > debian/libechonest-dev.install
-	dh_install
-
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c0
+	dh_install --fail-missing

## libechonest 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,17 +8,55 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )
 
-find_package( Qt4 COMPONENTS QtCore QtNetwork QtTest REQUIRED )
-set( QT_DONT_USE_QTGUI TRUE )
+option(ECHONEST_BUILD_TESTS "Build all unit tests" ON)
+option(BUILD_WITH_QT4 "Build libechonest with Qt4 no matter if Qt5 was found" ON)
+
+if( NOT BUILD_WITH_QT4 )
+    find_package(Qt5Core QUIET)
+    # CMAKE 2.8.13+/3.0.0+ requires these for IMPORTed targets
+    find_package(Qt5Xml REQUIRED)
+    if( Qt5Core_DIR )
+        message(STATUS "Found Qt5! Be aware that Qt5-support is still experimental and not officially supported!")
+        set(ECHONEST_LIB_VERSION_SUFFIX 5)
+
+        macro(qt_wrap_cpp)
+            qt5_wrap_cpp(${ARGN})
+        endmacro()
+    endif()
+
+    # pkg-config names of QtCore and QtNetwork are Qt5Core and Qt5Network for
+    # Qt5
+    set(ECHONEST_QT_MAJOR_VERSION "5")
+    set(ECHONEST_PC_DEPS "")
+endif()
+
+if( NOT Qt5Core_DIR )
+    message(STATUS "Could not find Qt5, searching for Qt4 instead...")
+    if( ECHONEST_BUILD_TESTS )
+        find_package( Qt4 COMPONENTS QtCore QtNetwork QtTest REQUIRED )
+    else( ECHONEST_BUILD_TESTS )
+        find_package( Qt4 COMPONENTS QtCore QtNetwork REQUIRED )
+    endif()
+    include( ${QT_USE_FILE} )
+
+    macro(qt5_use_modules)
+    endmacro()
+
+    macro(qt_wrap_cpp)
+        qt4_wrap_cpp(${ARGN})
+    endmacro()
+
+    set(ECHONEST_QT_MAJOR_VERSION "")
+    set(ECHONEST_PC_DEPS "QJson")
+
+    # QJson is only required for Qt4
+    find_package(QJSON REQUIRED)
+endif()
 
 
-find_package(QJSON REQUIRED)
-
-include( ${QT_USE_FILE} )
-
 set( ECHONEST_LIB_MAJOR_VERSION "2" )
-set( ECHONEST_LIB_MINOR_VERSION "1" )
-set( ECHONEST_LIB_PATCH_VERSION "0" )
+set( ECHONEST_LIB_MINOR_VERSION "3" )
+set( ECHONEST_LIB_PATCH_VERSION "1" )
 set( ECHONEST_LIB_VERSION "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}.${ECHONEST_LIB_PATCH_VERSION}" )
 
 set( ECHONEST_LIB_VERSION_SONAME "${ECHONEST_LIB_MAJOR_VERSION}.${ECHONEST_LIB_MINOR_VERSION}")
@@ -42,8 +80,6 @@
     add_definitions(/wd4290)
 endif(MSVC)
 
-
-option(ECHONEST_BUILD_TESTS "Build all unit tests" ON)
 
 if(ECHONEST_BUILD_TESTS)
   enable_testing()
@@ -71,9 +107,9 @@
 SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
 IF (NOT WIN32)
   CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/libechonest.pc.in
-                  ${CMAKE_CURRENT_BINARY_DIR}/libechonest.pc
+                  ${CMAKE_CURRENT_BINARY_DIR}/libechonest${ECHONEST_LIB_VERSION_SUFFIX}.pc
                   @ONLY)
-  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/libechonest.pc
+  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/libechonest${ECHONEST_LIB_VERSION_SUFFIX}.pc
            DESTINATION lib${LIB_SUFFIX}/pkgconfig)
 ENDIF (NOT WIN32)
 
@@ -97,6 +133,8 @@
 ADD_CUSTOM_TARGET(uninstall
   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
+set(ECHONEST_LIB_TARGET_NAME echonest${ECHONEST_LIB_VERSION_SUFFIX} CACHE INTERNAL "Target name of libechonest" FORCE)
+
 add_subdirectory( src )
 
 if( ECHONEST_BUILD_TESTS )

=== src/CMakeLists.txt ===

include_directories( ${QJSON_INCLUDE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR} )

set( LIBECHONEST_SRC
        Track.cpp
        Song.cpp
        Artist.cpp
        Playlist.cpp
        Config.cpp
        Parsing.cpp
        AudioSummary.cpp
        Util.cpp
        ArtistTypes.cpp
        Generator.cpp
        Catalog.cpp
        CatalogUpdateEntry.cpp
        CatalogSong.cpp
        CatalogArtist.cpp
        CatalogItem.cpp
        TypeInformation.cpp
        Genre.cpp
        qjsonwrapper/Json.cpp
)

set( LIBECHONEST_H
        echonest_export.h
        Track.h
        Song.h
        Artist.h
        Playlist.h
        Config.h
        AudioSummary.h
        ArtistTypes.h
        Util.h
        Catalog.h
        CatalogUpdateEntry.h
        CatalogSong.h
        CatalogArtist.h
        CatalogItem.h
        TypeInformation.h
        Genre.h
        CommonTypes.h
)

QT_WRAP_CPP( ${LIBECHONEST_H} )

add_library( ${ECHONEST_LIB_TARGET_NAME} SHARED ${LIBECHONEST_SRC} )
target_link_libraries( ${ECHONEST_LIB_TARGET_NAME} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QJSON_LIBRARIES} )
set_target_properties( ${ECHONEST_LIB_TARGET_NAME} PROPERTIES VERSION ${ECHONEST_LIB_VERSION} SOVERSION ${ECHONEST_LIB_VERSION_SONAME} )
qt5_use_modules( ${ECHONEST_LIB_TARGET_NAME} Core Network Xml )
install( TARGETS ${ECHONEST_LIB_TARGET_NAME}   RUNTIME DESTINATION bin
                            LIBRARY DESTINATION lib${LIB_SUFFIX}
                            ARCHIVE DESTINATION lib${LIB_SUFFIX}
)

install( FILES ${LIBECHONEST_H} DESTINATION  include/echonest${ECHONEST_LIB_VERSION_SUFFIX} COMPONENT Devel )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,12 @@
 
 macro(add_echonest_test _source)
     get_filename_component(_name ${_source} NAME_WE)
-    qt4_automoc(${_name} ${_source})
+#     qt4_automoc(${_name} ${_source})
+    set(CMAKE_AUTOMOC ON)
     add_executable(${_name} ${_source})
-    target_link_libraries(${_name} echonest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QTCORE_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY} )
+    target_link_libraries(${_name} ${ECHONEST_LIB_TARGET_NAME} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QTCORE_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY} ${QJSON_LIBRARIES} )
     add_test(${_name}-test ${EXECUTABLE_OUTPUT_PATH}/${_name})
+    qt5_use_modules(${_name} Network Test)
 endmacro(add_echonest_test)
 
 add_echonest_test( ArtistTest.cpp )
@@ -23,3 +25,4 @@
 add_echonest_test( TrackTest.cpp )
 add_echonest_test( PlaylistTest.cpp )
 add_echonest_test( CatalogTest.cpp )
+add_echonest_test( GenreTest.cpp )

=== debian/changelog ===
libechonest (2.3.1-0.3) unstable; urgency=low

  [ Stefan Ahlers ]
  * Non-maintainer upload, with maintainer permission.
  * Fix symbols again (Closes: #807589).
  * Drop bogus libechonest2.1 (Closes: #807507)
    - fix already inplace in the previous upload.

  [ Gianfranco Costamagna ]
  * Tweak symbols to build on armhf and arm*.

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Fri, 11 Dec 2015 09:00:00 +0100

libechonest (2.3.1-0.2) unstable; urgency=low

  * Non-maintainer upload, with maintainer permission.
  * Fix symbols.

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Thu, 10 Dec 2015 12:00:00 +0100

libechonest (2.3.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New Upstream Release (Closes: #766594)
  * Bump Standars-version to 3.9.6 No changes needed.
  * Update debian/rules and debian/*.install for better multiarch support
  * Start Qt5 support
  * Fix installation of pkgconfig files (Closes: #794811)

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Thu, 26 Nov 2015 09:00:00 +0100
 

libechonest (2.1.0-3) unstable; urgency=low

  * Set myself as the new maintainer with permission of Lisandro the original
    maintainer.
  * Update package repository location.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 11 Oct 2015 22:43:01 +0200

=== debian/control ===
Source: libechonest
Priority: extra
Maintainer: Thomas Pierson <contact@thomaspierson.fr>
Build-Depends: dpkg (>= 1.16.1~), 
	       debhelper (>= 9), 
	       cmake, 
	       libqt4-dev,
	       qtbase5-dev,
 	       libqjson-dev, 
 	       pkg-config, 
 	       pkg-kde-tools
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libechonest
Vcs-Git: git://thomaspierson.fr/pkg-libechonest.git
Vcs-Browser: http://gitweb.thomaspierson.fr/?p=pkg-libechonest.git;a=summary

Package: libechonest2.3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt4 library for communicating with The Echo Nest platform
 Libechonest is a Qt4 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.

Package: libechonest-dev
Section: libdevel
Architecture: any
Depends: libechonest2.3 (= ${binary:Version}), ${misc:Depends}
Description: Qt4 library for The Echo Nest platform - development files
 Libechonest is a Qt4 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the development files.

Package: libechonest-dbg
Section: debug
Architecture: any
Multi-Arch: same
Recommends: libqt4-dbg
Depends: libechonest2.3 (= ${binary:Version}), ${misc:Depends}
Description: Qt4 library for The Echo Nest platform - debug files
 Libechonest is a Qt library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the debuging files.
 
Package: libechonest5-2.3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt5 library for communicating with The Echo Nest platform
 Libechonest is a Qt5 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.

Package: libechonest5-dev
Section: libdevel
Architecture: any
Depends: libechonest5-2.3 (= ${binary:Version}), ${misc:Depends}
Description: Qt5 library for The Echo Nest platform - development files
 Libechonest is a Qt5 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the development files.

Package: libechonest5-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libechonest5-2.3 (= ${binary:Version}), ${misc:Depends}
Description: Qt5 library for The Echo Nest platform - debug files
 Libechonest is a Qt5 library for communicating with 'The Echo Nest':
 an 'intelligent music application platform'. It currently supports all
 of the features of the Echo Nest API, including all the API functions.
 .
 These are the debuging files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
QT4_PATH = build/qt4/so
QT5_PATH = build/qt5/so

%:
	dh $@ --parallel --with=pkgkde-symbolshelper

override_dh_auto_configure:
	mkdir -p $(QT4_PATH) $(QT5_PATH)
	
	# Qt4 builds
	dh_auto_configure -B$(QT4_PATH) -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DBUILD_WITH_QT4=ON
	
	# Qt5 builds 
	dh_auto_configure -B$(QT5_PATH) -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DBUILD_WITH_QT4=OFF

override_dh_auto_build:
	# Qt4 builds - make (dynamic and static)
	QT_SELECT=qt4 dh_auto_build -B$(QT4_PATH)

	# Qt5 builds - make (dynamic and static)
	QT_SELECT=qt5 dh_auto_build -B$(QT5_PATH)
	
override_dh_auto_clean:
	dh_auto_clean -B$(QT4_PATH)
	dh_auto_clean -B$(QT5_PATH)

override_dh_auto_install:
	# Install Qt4 packages
	dh_auto_install -B$(QT4_PATH)

	# Install Qt5 packages
	dh_auto_install -B$(QT5_PATH)

override_dh_strip:
	dh_strip -plibechonest2.3 --dbg-package=libechonest-dbg
	dh_strip -plibechonest5-2.3 --dbg-package=libechonest5-dbg

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://files.lfranchi.com/libechonest-(.*)\.tar\.bz2
